{% extends "UserBundle::Template.html.twig" %}
{% block wrapper %}



<div id="mapView"><div class="mapPlaceholder"><span class="fa fa-spin fa-spinner"></span> Loading map...</div></div>
<div id="content">

    <div class="resultsList">
        <div class="row">
            <h3>Results:</h3>
        </div>
        <div class="row">
            {% for item in list_rando %}
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                <a href="{{ path('Rando_details', {id:item.id }) }}" class="card">
                    <div class="figure">
                        <img src="{% for items in item.listImages|slice(0,1) %}../../Uploads/{{  items.path }}{% endfor %}" alt="image">
                        <div class="figCaption">
                            <div>{{ item.prix }}dt</div>
                            <span class="icon-bubble">0</span>
                        </div>
                        <div class="figView"><span class="icon-eye"></span></div>
                        <div class="figType">exclusive</div>
                    </div>
                    <h2>{{ item.titre }}</h2>
                    <div class="cardAddress"><span class="icon-pointer"></span>{{ item.idDestination.nom }}</div>
                    <div class="cardRating">
                        <span class="fa fa-star"></span>
                        <span class="fa fa-star"></span>
                        <span class="fa fa-star"></span>
                        <span class="fa fa-star"></span>
                        <span class="fa fa-star-o"></span>
                        (146)
                    </div>
                    <div class="clearfix"></div>
                </a>
            </div>
            {% endfor %}
        </div>
        <ul class="pagination">
            <li class="disabled"><a href="#"><span class="fa fa-angle-left"></span></a></li>
            <li class="active"><a href="#">1</a></li>
            <li><a href="#">2</a></li>
            <li><a href="#">3</a></li>
            <li><a href="#">4</a></li>
            <li><a href="#">5</a></li>
            <li><a href="#"><span class="fa fa-angle-right"></span></a></li>
        </ul>
    </div>
</div>
<div class="clearfix"></div>
{% endblock %}

{% block scripts %}
<script>




    var themeColorPath = $("#app").attr("href");
    var themeColorFile = themeColorPath.replace("css/app-", "");
    var themeColor = themeColorFile.replace(".css", "");

    console.log("custom script started")
    var map
    // Custom options for map
    var options = {
        zoom : 7,
        center:new google.maps.LatLng(35.975818,9.7004654),
        mapTypeId : 'Styled',
        disableDefaultUI: true,
        mapTypeControlOptions : {
            mapTypeIds : [ 'Styled' ]
        }
    };
    var styles = [
        {
            stylers : [ {
                hue : "#cccccc"
            }, {
                saturation : -100
            }]
        }, {
            featureType : "road",
            elementType : "geometry",
            stylers : [ {
                lightness : 100
            }, {
                visibility : "simplified"
            }]
        }, {
            featureType : "road",
            elementType : "labels",
            stylers : [ {
                visibility : "on"
            }]
        }, {
            featureType: "poi",
            stylers: [ {
                visibility: "off"
            }]
        }];
    var newMarker = null;
    var markers = [

        ];
    // json for properties markers on map
    var props = [

        {% for item in list_rando %}
        {
            id:'{{ item.id }}',
            title : '{{ item.titre }}',
            image :{% for items in item.listImages|slice(0,1) %}'{{  asset('Uploads/') ~ items.path }}'{% endfor %},
            type : 'For Rent',
            price : '{{ item.prix }}',
            address : '{{ item.idDestination.nom }}',
            bedrooms : '2',
            bathrooms : '2',
            area : '4430 Sq Ft',
            position : {
                lat : {{ item.idDestination.idLocalisation.lattitude }}+Math.random()/100,
                lng : {{ item.idDestination.idLocalisation.longitude }}+Math.random()/100
            },
            markerIcon : "../../UserAssets/images/marker-green.png"
        },
        {% endfor %}
        ];
    // custom infowindow object
    var infobox = new InfoBox({
        disableAutoPan: false,
        maxWidth: 202,
        pixelOffset: new google.maps.Size(-101, -285),
        zIndex: null,
        boxStyle: {
            background: "url('../../UserAssets/images/infobox-bg.png') no-repeat",
            opacity: 1,
            width: "202px",
            height: "245px"
        },
        closeBoxMargin: "28px 26px 0px 0px",
        closeBoxURL: "",
        infoBoxClearance: new google.maps.Size(1, 1),
        pane: "floatPane",
        enableEventPropagation: false
    });
    // function that adds the markers on map
    var addMarkers = function(props, map) {
        console.log("creating markers")
        $.each(props, function(i,prop) {
            console.log("1")
            var latlng = new google.maps.LatLng(prop.position.lat,prop.position.lng);
            var marker = new google.maps.Marker({
                position: latlng,
                map: map,
                icon: new google.maps.MarkerImage(
                    prop.markerIcon,
                    null,
                    null,
                    null,
                    new google.maps.Size(36, 36)
                ),
                draggable: false,
                animation: google.maps.Animation.DROP,
            });
            console.log("2")
            var infoboxContent = '<div class="infoW">' +
                '<div class="propImg">' +
                '<img src="' + prop.image + '">' +
                '<div class="propBg">' +
                '<div class="propPrice">' + prop.price + '</div>' +
                '<div class="propType">' + prop.type + '</div>' +
                '</div>' +
                '</div>' +
                '<div class="paWrapper">' +
                '<div class="propTitle">' + prop.title + '</div>' +
                '<div class="propAddress">' + prop.address + '</div>' +
                '</div>' +
                '<div class="propRating">' +
                '<span class="fa fa-star"></span>' +
                '<span class="fa fa-star"></span>' +
                '<span class="fa fa-star"></span>' +
                '<span class="fa fa-star"></span>' +
                '<span class="fa fa-star-o"></span>' +
                '</div>' +
                '<ul class="propFeat">' +
                '<li><span class="fa fa-moon-o"></span> ' + prop.bedrooms + '</li>' +
                '<li><span class="icon-drop"></span> ' + prop.bathrooms + '</li>' +
                '<li><span class="icon-frame"></span> ' + prop.area + '</li>' +
                '</ul>' +
                '<div class="clearfix"></div>' +
                '<div class="infoButtons">' +
                '<a class="btn btn-sm btn-round btn-gray btn-o closeInfo">Close</a>' +
                '<a href="/rando/details/'+prop.id+'" class="btn btn-sm btn-round btn-green viewInfo btn-' + themeColor + '">View</a>' +
                '</div>' +
                '</div>';

            console.log("adding listener on marker")
            google.maps.event.addListener(marker, 'click', (function(marker, i) {
                console.log("listener on marker added")
                return function() {
                    console.log("marker clicked :infobox is opening")
                    infobox.setContent(infoboxContent);
                    infobox.open(map, marker);
                }
            })(marker, i));

            $(document).on('click', '.closeInfo', function() {
                infobox.open(null,null);
            });

            markers.push(marker);
        });
    }
    setTimeout(function() {
        $('body').removeClass('notransition');

        console.log("init map")
        map = new google.maps.Map(document.getElementById('mapView'), options);
        var styledMapType = new google.maps.StyledMapType(styles, {
            name : 'Styled'
        });

        map.mapTypes.set('Styled', styledMapType);



        addMarkers(props, map);
    }, 300);
</script>
{% endblock %}
